## org.ascape.model.engine
Class NoIterateAllRuleSelector

    java.lang.Object
      org.ascape.model.engine.DefaultRuleSelector
          org.ascape.model.engine.FilteredRuleSelector
              org.ascape.model.engine.NoIterateAllRuleSelector

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, RuleSelector, Selector

    public class NoIterateAllRuleSelector

extends FilteredRuleSelector

The Class NoIterateAllRuleSelector.

See Also:
  Serialized Form

Constructor Summary
`NoIterateAllRuleSelector(java.lang.Object[] rules)` Instantiates a new no iterate all rule selector.

Method Summary

Methods inherited from class org.ascape.model.engine.FilteredRuleSelector
`hasMoreRules, nextRule, reset`

Methods inherited from class org.ascape.model.engine.DefaultRuleSelector
`clone, getCurrentRule`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoIterateAllRuleSelector

    public NoIterateAllRuleSelector(java.lang.Object[] rules)

  Instantiates a new no iterate all rule selector.

  Parameters:
    `rules` - the rules